{"paths":{"/api/v1/assets/{id}":{"get":{"tags":["Assets"],"summary":"Fetch Asset","description":"Fetch an existing Asset within Quiq","operationId":"Fetch Asset","parameters":[{"name":"id","in":"path","description":"The ID of the Asset to be fetched","required":true,"type":"string"}],"responses":{"303":{"description":"The redirect response to the Asset"}}}},"/api/v1/assets/uploads/prepare":{"post":{"tags":["Assets"],"summary":"Prepare Upload","description":"Prepare to create an Asset in Quiq","operationId":"Prepare Upload","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicUploadPrepareRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"Response object for preparing to create an Asset in Quiq","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicUploadPrepareResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/assets/uploads/promote":{"post":{"tags":["Assets"],"summary":"Promote Upload","description":"Promote an upload into a Quiq Asset","operationId":"Promote Upload","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicUploadPromote","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"204":{}}}},"/api/v1/messaging/agents-available":{"get":{"tags":["Messaging"],"summary":"Get Agent Availability","description":"Check to see if agents are available\n #### High Volume API:\n This API can be called with a high volume of requests. Thus, you are **required to call it\n through https://{tenant}.quiq-api.com**. This allows for the API to be served in a distributed manner that will\n provide the highest performance and scalability benefits to you and your end users.\n        ","operationId":"Get Agent Availability","parameters":[{"name":"contactPoint","in":"query","description":"The contact point","required":true,"schema":{"description":"The contact point","$ref":"#/components/schemas/ContactPointReference","nullable":false,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false}},{"name":"platform","in":"query","description":"The messaging platform","required":true,"schema":{"type":"string","description":"The messaging platform","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"],"enum":["SMS","Facebook","Kik","Chat","Twitter","AppleMessages","GoogleRBM","GoogleMessages","WeChat","WhatsApp","Instagram","Voice"]}}],"responses":{"200":{"description":"The result of the agent availability request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentAvailabilityResult","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/queues/{queue}/info":{"get":{"tags":["Messaging"],"summary":"Get queue info","description":"Check info about a queue","operationId":"Get queue info","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"queue","in":"path","description":"The queue to fetch info for","required":true,"schema":{"description":"The queue to fetch info for","$ref":"#/components/schemas/QueueReference","nullable":false,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false}}],"responses":{"200":{"description":"The result of the queue info request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueInfoResult","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/agents-available-cross-platform":{"get":{"tags":["Messaging"],"summary":"Get Agent Availability Across Platforms","description":"Check to see if agents are available across multiple platforms\n #### High Volume API:\n This API can be called with a high volume of requests. Thus, you are **required to call it\n through https://{tenant}.quiq-api.com**. This allows for the API to be served in a distributed manner that will\n provide the highest performance and scalability benefits to you and your end users.\n        ","operationId":"Get Agent Availability Across Platforms","parameters":[{"name":"contactPoint","in":"query","description":"The contact point","required":true,"schema":{"description":"The contact point","$ref":"#/components/schemas/ContactPointReference","nullable":false,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false}},{"name":"platforms","in":"query","description":"The messaging platforms to check, comma separated","required":true,"schema":{"type":"string","description":"The messaging platforms to check, comma separated","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"responses":{"200":{"description":"The result of the agent availability request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentAvailabilityCrossPlatformResults","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/agent-hooks/pong":{"post":{"tags":["Bot API"],"summary":"Pong","description":"If your application receives an agent hook with \"ping\" set to True, you must post to this endpoint within 60 seconds\n    ","operationId":"Pong","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PongRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"204":{}}}},"/api/v1/messaging/custom-interaction":{"get":{"tags":["Messaging"],"summary":"Gets the custom interaction message","description":"Retrieves the custom interaction message","operationId":"Gets the custom interaction message","parameters":[{"name":"X-Quiq-Access-Token","in":"header","description":"The payload","required":true,"schema":{"type":"string","description":"The payload","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"responses":{"200":{"description":"The metadata the message wrapper","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicMessageWrapper Metadata","exampleSetFlag":false},"exampleSetFlag":false}}}}},"post":{"tags":["Messaging"],"summary":"Replies to the custom interaction message","description":"Replies to the custom interaction message","operationId":"Replies to the custom interaction message","parameters":[{"name":"X-Quiq-Access-Token","in":"header","description":"The payload","required":true,"schema":{"type":"string","description":"The payload","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"X-Quiq-Custom-Interaction-Key","in":"header","description":"The custom interaction key","required":true,"schema":{"type":"string","description":"The custom interaction key","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostCustomInteractionRequestDef","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"The post message result definition","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostMessageResultMetadata","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/platforms/{platform}/start-conversation":{"post":{"tags":["Messaging"],"summary":"Start conversation","description":"Allows you to start a conversation with a customer. The conversation will be visible to agents and routed if necessary. In addition to starting proactive conversations, you can use this API to transfer ongoing customer interactions from another system (e.g. IVR) into Quiq messaging. This API will return an error if a conversation is already in progress, and the existingConversationId will be returned in the error data.","operationId":"Start conversation","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"platform","in":"path","description":"The messaging platform on which to start the conversation. Note: you cannot call Start conversation on WhatsApp. To begin interactions with WhatsApp users, please use the Notify API instead.","required":false,"schema":{"type":"string","description":"The messaging platform on which to start the conversation. Note: you cannot call Start conversation on WhatsApp. To begin interactions with WhatsApp users, please use the Notify API instead.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"],"enum":["SMS","Chat","GoogleRBM"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StartConversationRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"A response object for starting a conversation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StartConversationResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/start-conversation":{"post":{"tags":["Messaging"],"summary":"Start a conversation (cross platform)","description":"Allows you to start a conversation with a customer. The conversation will be visible to agents and routed if necessary. You can provide a list of preferential platforms with pairs occurring earlier in the list receiving preference over those later in the list. The message will be sent via the first platform the customer is capable of receiving the message on. This API will return an error if a conversation is already in progress, and the existingConversationId will be returned in the error data. Note: you cannot call Start conversation on WhatsApp. To begin interactions with WhatsApp users, please use the Notify API instead.","operationId":"Start a conversation (cross platform)","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StartRichConversationRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"A response object for starting a conversation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StartConversationResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/conversations/{conversationId}/send-message":{"post":{"tags":["Bot API"],"summary":"Send Message","description":"Allows you to send a conversational message to a customer","operationId":"Send Message","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation id on which to send the message","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation id on which to send the message","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendMessageRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"204":{}}}},"/api/v1/messaging/conversations/{conversationId}/send-messages":{"post":{"tags":["Bot API"],"summary":"Send multiple messages on 1 conversation","description":"Allows you to send multiple messages on one conversation.","operationId":"Send multiple messages on 1 conversation","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation id on which to send the message","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation id on which to send the message","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendMessagesRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"Response object for public send messages apis.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendMessagesResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v2/messaging/conversations/{conversationId}/send-message":{"post":{"tags":["Bot API"],"summary":"Send Message v2","description":"Allows you to send a conversational message to a customer. Returns a response body with message fields.","operationId":"Send Message v2","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation id on which to send the message","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation id on which to send the message","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendMessageRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"Response object for public send message apis.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendMessageResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/conversations/{conversationId}/acknowledge":{"post":{"tags":["Bot API"],"summary":"Acknowledge a conversation state update","description":"Call this API when using blocking agent hooks to acknowledge that you have received the last state update","operationId":"Acknowledge a conversation state update","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation to acknowledge","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation to acknowledge","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcknowledgeRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"204":{}}}},"/api/v1/messaging/conversations/{conversationId}/close":{"post":{"tags":["Bot API"],"summary":"Close a conversation","description":"Call this API to close a conversation of which you're the owner","operationId":"Close a conversation","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation to close","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation to close","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"responses":{"204":{}}}},"/api/v1/messaging/conversations/{conversationId}/mark-inactive":{"post":{"tags":["Bot API"],"summary":"Mark a conversation inactive","description":"Use this API to mark a conversation inactive. Inactive conversations are automatically closed after inactivity by a system timer","operationId":"Mark a conversation inactive","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation to mark inactive","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation to mark inactive","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"responses":{"204":{}}}},"/api/v1/messaging/conversations/{conversationId}/send-to-queue":{"post":{"tags":["Bot API"],"summary":"Send a conversation to a queue","description":"Send this conversation to a queue. This is useful when you can't satisfy the customer's needs or are overloaded","operationId":"Send a conversation to a queue","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation to send","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation to send","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendConversationToQueueRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"204":{}}}},"/api/v1/messaging/conversations/{conversationId}/accept":{"post":{"tags":["Bot API"],"summary":"Accept a conversation","description":"Accept a conversation that you're currently invited to","operationId":"Accept a conversation","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation to accept","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation to accept","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"responses":{"204":{}}}},"/api/v1/messaging/conversations/{conversationId}/reject":{"post":{"tags":["Bot API"],"summary":"Reject a conversation","description":"Reject a conversation that you're currently invited to","operationId":"Reject a conversation","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation to reject","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation to reject","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"responses":{"204":{}}}},"/api/v1/messaging/conversations/{conversationId}/update-fields":{"post":{"tags":["Bot API"],"summary":"Update fields on a conversation","description":"Update both custom or standard fields on a given conversation","operationId":"Update fields on a conversation","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation to update fields on","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation to update fields on","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateConversationFields","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"The response object for updating fields on a conversation when allowPartial is true","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateConversationFieldsResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/conversations/{conversationId}/send-to-user":{"post":{"tags":["Bot API"],"summary":"Send a conversation to a user","description":"Assigns a conversation to the given user. If the user is offline then the conversation is added to the provided queue","operationId":"Send a conversation to a user","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation to assign to the assignee","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation to assign to the assignee","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendToUserRequestMeta","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"204":{}}}},"/api/v1/messaging/conversations/{conversationId}/accept-transfer":{"post":{"tags":["Bot API"],"summary":"Accept a conversation transfer","description":"Accepts a conversation that has been transferred to an agent","operationId":"Accept a conversation transfer","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation to whose transfer will be accepted","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation to whose transfer will be accepted","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"responses":{"204":{}}}},"/api/v1/messaging/conversations/{conversationId}/reject-transfer":{"post":{"tags":["Bot API"],"summary":"Reject a conversation transfer","description":"Rejects a conversation that has been transferred to an agent","operationId":"Reject a conversation transfer","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation to whose transfer will be accepted","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation to whose transfer will be accepted","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"responses":{"204":{}}}},"/api/v1/messaging/conversation/{conversationId}":{"get":{"tags":["Messaging"],"summary":"Get a conversation","description":"Retrieve a conversation record","operationId":"Get a conversation","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation to fetch","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation to fetch","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"responses":{"200":{"description":"A Conversation Object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Conversation","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/conversations/{conversationId}/send-message-map":{"post":{"tags":["Bot API"],"summary":"Send Message Map","description":"Allows you to send a message map to a customer","operationId":"Send Message Map","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation id on which to send the message","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation id on which to send the message","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendMessageMapRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"204":{}}}},"/api/v1/messaging/conversations/{conversationId}/send-message-maps":{"post":{"tags":["Bot API"],"summary":"Send Message Maps","description":"Allows your to send up to 10 message maps to a customer. Returns a response body with message fields","operationId":"Send Message Maps","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation id on which to send the message","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation id on which to send the message","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendMessageMapsRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"Response object for public send messages apis.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendMessagesResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v2/messaging/conversations/{conversationId}/send-message-map":{"post":{"tags":["Bot API"],"summary":"Send Message Map v2","description":"Allows you to send a message map to a customer. Returns a response body with message fields.","operationId":"Send Message Map v2","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"conversationId","in":"path","description":"The conversation id on which to send the message","required":false,"schema":{"maxLength":36,"type":"string","description":"The conversation id on which to send the message","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendMessageMapRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"Response object for public send message apis.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendMessageResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/conversation/most-recent":{"post":{"tags":["Messaging"],"summary":"Get Most Recent Conversation","description":"Allows you to get the most recent conversation based on the handles","operationId":"Get Most Recent Conversation","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FindLastConversationRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"A Conversation Object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Conversation","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/capabilities/rcs":{"get":{"tags":["Messaging"],"summary":"RCS Capabilities Check","description":"Determines if the number in the request is RCS enabled","operationId":"RCS Capabilities Check","parameters":[{"name":"contactPoint","in":"query","description":"The Contact Point","required":true,"schema":{"type":"string","description":"The Contact Point","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"phoneNumber","in":"query","description":"The Phone Number (+15554445555 format)","required":true,"schema":{"type":"string","description":"The Phone Number (+15554445555 format)","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"responses":{"200":{"description":"The capabilities check definition","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CapabilitiesCheckResponseMetadatas","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/stored-context":{"post":{"tags":["Messaging"],"summary":"Stored context","description":"Allows you to post in context (ex. CRM ticket ids) to receive an identifier. This identifier can be utilized to reference this context later.","operationId":"Stored context","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoredContextRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"A global reference key to this stored data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoredContextRequestResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/conversations/{conversationId}/typing":{"post":{"tags":["Messaging"],"summary":"Toggle typing indicator on a conversation","description":"Toggle typing indicator on a conversation","operationId":"Toggle typing indicator on a conversation","parameters":[{"name":"conversationId","in":"path","description":"Id of the conversation","required":false,"schema":{"type":"string","description":"Id of the conversation","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationTypingRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"204":{}}}},"/api/v1/messaging/conversations/{conversationId}/thinking":{"post":{"tags":["Messaging"],"summary":"Send thinking messages on a conversation","description":"Shows short, transient status lines (for example \"Searching for hotels in Paris\") in the customer's chat window while a response is being generated. They replace each other, are never stored in the transcript, and are cleared by thinking=false, by a new sequence, or by a real message. Chat only. The caller must be a member of the conversation.","operationId":"Send thinking messages on a conversation","parameters":[{"name":"conversationId","in":"path","description":"Id of the conversation","required":false,"schema":{"type":"string","description":"Id of the conversation","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentThinkingRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"Whether the thinking message reached a chat window, and why not if it did not","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentThinkingResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/least-loaded-handle":{"get":{"tags":["Messaging"],"summary":"Get least loaded handle","description":"Get the least loaded handle for a given contact point and messaging platform\n #### High Volume API:\n This API can be called with a high volume of requests. Thus, you are **required to call it\n through https://{tenant}.quiq-api.com**. This allows for the API to be served in a distributed manner that will\n provide the highest performance and scalability benefits to you and your end users.\n        ","operationId":"Get least loaded handle","parameters":[{"name":"contactPoint","in":"query","description":"The contact point on which to find the least loaded handle","required":true,"schema":{"description":"The contact point on which to find the least loaded handle","$ref":"#/components/schemas/ContactPointReference","nullable":false,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false}},{"name":"platform","in":"query","description":"The messaging platform on which to find the least loaded handle","required":true,"schema":{"type":"string","description":"The messaging platform on which to find the least loaded handle","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"],"enum":["SMS"]}}],"responses":{"200":{"description":"A response object for getting the least loaded handle","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeastLoadedHandleResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/ai-resources/dataset/{datasetId}/sync":{"post":{"tags":["AI Studio"],"summary":"Sync Dataset","description":"Synchronize a dataset's contents with an external data source. Data must be in a supported AI Resources format - currently either CSV or newline-delimited JSON","operationId":"Sync Dataset","parameters":[{"name":"datasetId","in":"path","description":"The id of the dataset to sync","required":true,"schema":{"type":"string","description":"The id of the dataset to sync","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SyncDatasetRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"204":{}}}},"/api/v1/ai-resources/search":{"post":{"tags":["AI Studio"],"summary":"Search","description":"Search AI resources for relevant documents","operationId":"Search","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResourceSearchActionRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"Resource search action response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResourceSearchActionResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/notify":{"post":{"tags":["Messaging"],"summary":"Notify","description":"Allows you to send outbound notifications. This API allows the notification to be expressed across multiple platforms (e.g. Google RBM, SMS) and will send to the preferred platform. Any replies will become conversations. Deliverability results can be tracked by the returned message ids. Care must be taken to not violate the TCPA. Go [here](https://knowledge.quiq.com/docs/outbound-messaging-best-practices) for more information.","operationId":"Notify","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"allowMultipleSegments","in":"query","description":"Whether or not to allow sending a given message as multiple message segments. If false or unspecified, any messages longer than one segment will fail with error code 24009.","required":false,"schema":{"type":"boolean","description":"Whether or not to allow sending a given message as multiple message segments. If false or unspecified, any messages longer than one segment will fail with error code 24009.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["boolean"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotifyRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"A response object for sending multiple notifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotifyResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/platforms/{platform}/send-notification":{"post":{"tags":["Messaging"],"summary":"Send notification","description":"Allows you to send an outbound notification to a customer. Note that unlike a conversation, a notification is not visible to agents or routed in any way. A message is simply sent to the customer. If the customer responds, their response will become a conversation. Care must be taken to not violate TCPA. Go [here](https://knowledge.quiq.com/docs/outbound-messaging-best-practices) for more information.","operationId":"Send notification","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"platform","in":"path","description":"The messaging platform on which to send the notification","required":false,"schema":{"type":"string","description":"The messaging platform on which to send the notification","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"],"enum":["SMS"]}},{"name":"allowMultipleSegments","in":"query","description":"Whether or not to allow sending a given message as multiple message segments. If false, you will be unable to send messages longer than one segment.","required":false,"schema":{"type":"boolean","description":"Whether or not to allow sending a given message as multiple message segments. If false, you will be unable to send messages longer than one segment.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["boolean"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendNotificationRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"A response object for sending a notification","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendNotificationResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/platforms/{platform}/send-notifications":{"post":{"tags":["Messaging"],"summary":"Send notifications","description":"Allows you to send outbound notifications to multiple customers. Any customer replies will become conversations. Deliverability results can be tracked by the returned message ids. Care must be taken to not violate TCPA. Go [here](https://knowledge.quiq.com/docs/outbound-messaging-best-practices) for more information.","operationId":"Send notifications","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"platform","in":"path","description":"The messaging platform on which to send the notification","required":false,"schema":{"type":"string","description":"The messaging platform on which to send the notification","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"],"enum":["SMS"]}},{"name":"allowMultipleSegments","in":"query","description":"Whether or not to allow sending a given message as multiple message segments. If false, you will be unable to send messages longer than one segment.","required":false,"schema":{"type":"boolean","description":"Whether or not to allow sending a given message as multiple message segments. If false, you will be unable to send messages longer than one segment.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["boolean"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendNotificationsRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"A response object for sending multiple notifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendNotificationsResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/platforms/{platform}/message-segments":{"post":{"tags":["Messaging"],"summary":"Count message segments","description":"Returns the number of segments the supplied text will be broken into when sent. For SMS this depends on emoji and special character usage. A count above one means the message cannot be sent with allowMultipleSegments set to false. This endpoint only measures the text; no message is sent.","operationId":"Count message segments","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"platform","in":"path","description":"The messaging platform the message would be sent on","required":false,"schema":{"type":"string","description":"The messaging platform the message would be sent on","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"],"enum":["SMS"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageSegmentsRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"A response object describing how a message will be segmented","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageSegmentsResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/messaging/platforms/{platform}/notifications-deliverability":{"post":{"tags":["Messaging"],"summary":"Check deliverability","description":" <h3><span style=\"color:red\">NOTE: This is a beta API</span></h3> Check the deliverability results of multiple notifications","operationId":"Check deliverability","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},{"name":"platform","in":"path","description":"The platform the notifications will be delivered on","required":false,"schema":{"description":"The platform the notifications will be delivered on","$ref":"#/components/schemas/MessagePlatform","nullable":true,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetNotificationsDeliverabilityRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"A response object for a deliverability check of multiple notifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckDeliverabilityResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/voice/register-call":{"post":{"tags":["Voice APIs"],"summary":"Register Call","description":"Notify Quiq that a call from a specific number is coming in - if this is not called prior to a customer call, Quiq will reject the call with a busy signal.","operationId":"Register Call","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegisterInboundCallRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"RegisterInboundCallResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegisterInboundCallResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}},"/api/v1/voice/fetch-call":{"post":{"tags":["Voice APIs"],"summary":"Fetch Call","description":"Query to find out if a call was created in Quiq for a customer number and Quiq number pair within a certain amount of time.","operationId":"Fetch Call","parameters":[{"name":"Authorization","in":"header","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","required":false,"schema":{"type":"string","description":"Should contain the identity and secret of a valid app token generated through the Quiq admin interface and be of the form <app_id>:<app_secret>. This auth mechanism should only be used by server-side integrations.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FetchCallRequest","exampleSetFlag":false},"exampleSetFlag":false}}},"responses":{"200":{"description":"FetchCallResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FetchCallResponse","exampleSetFlag":false},"exampleSetFlag":false}}}}}}},"openapi":"3.1.0","info":{"title":"Quiq API","description":"## Introduction\n\nQuiq provides integration frameworks for each of its product offerings. Frameworks consist of REST APIs and complementary webhooks.\nThe Messaging Framework facilitates integrations such as IVR handoff, outbound notifications, data synchronization and bots.\nMatters such as encryption and authentication are handled consistently across frameworks.\n## REST APIs Overview\nSSL is required for all API requests. APIs utilize JSON unless otherwise noted.\n### Authentication\nQuiq’s REST APIs are built on two forms of authentication: basic authentication and access tokens. Basic authentication should only be used for server-side integrations,\nwhereas access tokens are suitable for client-side integrations such as browser & mobile apps. Quiq also provides several fully public APIs that don’t require any authentication.\n\n#### Basic Authentication\nQuiq’s basic authentication mechanism is built on top of Client Apps which are administered through the Quiq Admin interface.\nClient apps are tied to a user account and inherit their roles and permissions from that account. Each app is assigned an ID and secret as well as a label.\nThe ID and secret serve as the username and password in the basic auth header. Note that basic authentication should only be used in secure server-side environments.\n\n\n### API Versioning and Backwards Compatibility\nAll documentation reflects the current version of Quiq's API’s. Version information is identified in the path of a given API.\nFor example: /api/v1/messaging. Quiq will not make breaking changes to a given contract without bumping the major version\nnumber referenced in an API's path. However, we will make additive “non-breaking” changes such as adding an additional\nproperty to a contract.\n\n### Cross-Origin Resource Sharing (CORS)\nQuiq's REST APIs support Cross-Origin Resource Sharing (CORS) implemented in compliance with  [W3C spec](https://www.w3.org/TR/cors/).\nThis facilitates cross-domain communication from the browser. Administrators can set what domains are allowed to\ncommunicate with their site within the Quiq Admin interface.\n\n### Response Codes and Error Handling\nQuiq’s REST APIs utilize standard HTTP response codes. When a 4xx response code is returned, there will be a response body with a media-type of application/json and the following structure:\n```\n{\n  “status”: 400,\n  “code”:  3001,\n  “message”: “The customer is engaged in a conversation with another agent”\n}\n```\n\n### Outbound Message Error Codes\nWhen Quiq is unable to deliver an outbound message or notification, the failure is reported with one of the\nfollowing error codes. These appear in the ```errorCode``` field of deliverability results and deliverability\nstatus webhooks.\n\n|Code|Error|Description|\n|-|-|-|\n|24002|INVALID_DESTINATION|The destination you are trying to reach is not valid or a landline.|\n|24004|BLOCKED|Message failed to send. The customer may have sent \"STOP\".|\n|24005|SENDING_OWN_CONTACT_POINT|An attempt to send to your own number.|\n|24006|LOAD_ERROR|The destination messaging platform is currently under high load. Please try again later.|\n|24007|CONFIGURATION_ERROR|An error occurred due to invalid system configuration information.|\n|24008|DELIVERY_ERROR|The message recipient is unreachable or a landline.|\n|24009|MESSAGE_TOO_LONG|The message was too long.|\n|24010|UNKNOWN_RETRYABLE_ERROR|An unknown error occurred. Recommendation is to retry the message.|\n|24011|SPAM|There was an error sending this message, it has been blocked by a carrier.|\n|24012|MEDIA_TOO_LARGE|The media you are trying to send violates a size limit.|\n|24013|INVALID_FORMAT|The message was not formatted correctly.|\n|24014|CANT_RESOLVE_PLATFORM|Quiq was unable to find a messaging platform for this customer. Confirm your topic and precedent settings.|\n|24015|LANDLINE|The destination handset is a landline.|\n|24016|DEMO_LIMIT_EXCEEDED|The outbound message limit for this demo tenant has been exceeded.|\n|24017|RESPONSE_WINDOW_CLOSED|The response window was closed on this platform. Typically used by WhatsApp and other richer channels.|\n|24018|MESSAGE_CONTENTS_RESTRICTED|The message contained restricted contents.|\n|24019|UNREGISTERED_10DLC|The 10DLC registration is not completed and so the delivery failed.|\n|24020|MESSAGE_TIMEOUT|The message was sitting in queue for too long, so it timed out without being sent on to Quiq's downstream platform partners.|\n|24021|VOLUME_VIOLATION|Exceeded volume limits on this carrier.|\n|24022|RESTRICTED_COUNTRY_CODE|The country code is restricted by your configuration.|\n|24023|MESSAGE_CANCELLED|At some point in the message lifecycle it was enqueued and subsequently canceled.|\n|24024|OUTSIDE_SEND_WINDOW|The message arrived outside of the notification send window configured for this topic, and that window is set to reject rather than hold messages. Retrying will fail until the window reopens.|\n\n### Conversation Error Codes\n\n|Code|Error|Description|\n|-|-|-|\n|3000|CUSTOMER_ENGAGED_IN_ANOTHER_CONVERSATION|The customer is already engaged in a conversation with another agent or bot, so a new conversation cannot be started. The error response's `data.existingConversationId` identifies the existing conversation.|\n|3016|EXTERNAL_USER_MUST_BE_ONLINE|When an external routing engine (e.g. Salesforce Omni-Channel) is in use, the user must be online in that routing engine before a conversation can be started. This error only occurs for users of an external routing engine.|\n\n### Notification Request Error Codes\n\n|Code|Error|Description|\n|-|-|-|\n|24001|CUSTOMER_ENGAGED_IN_CONVERSATION|A notification cannot be sent to a customer who is currently engaged in a conversation.|\n|24003|TOO_MANY_SCHEDULED_MESSAGES|Processing this request would exceed the total number of scheduled messages allowed by the system.|\n|24500|INVALID_CONTACT_POINT|The contact point in the request is not valid.|\n|24501|INVALID_TOPIC|The topic in the request was not found.|\n|24502|FILE_TO_LARGE|The uploaded file exceeds the maximum number of rows.|\n|24503|FILE_EMPTY|The uploaded file has no valid lines.|\n|24504|INVALID_FILE_FORMAT|The uploaded file is not in a valid format.|\n|24505|REPEATED_CUSTOMER_SEND|Processing this request would send too many notifications to the same contact.|\n|24506|QUEUE_LIMIT_EXCEEDED|Processing this request would exceed the configured queued message limit.|\n\n## Webhooks Overview\nQuiq supports registering external webhooks to be called whenever certain events, such as a conversation closing, occur in the system. This enables you to write integrations that do things such as synchronizing conversation data to an external system. Webhooks are always POSTed to your endpoint with the payload of the event encoded in the request body as JSON.\n\n### Requirements and Security\nQuiq requires encrypted communication to any external webhooks (HTTPS). When you register your URL with Quiq we will give you a secret token. When we post to your webhook, the request will include a header with the id of \"X-Centricient-Hook-Token\" and a value of this secret token. You can use this to verify that it is in fact Quiq posting to your endpoint.\n\n### Webhook Payload\nAll webhooks events are wrapped in the following standard payload::\n```\n{\n    id: String (guid - unique id for every event we post to you),\n    eventType: String (Test, ConversationRequested, ConversationActivated, ...)\n    data: Object (Payload specific to they type of event)\n    timestamp: Long (Unix timestamp (in milliseconds) of when the event occurred\n}\n```\n\n_Note: The ID will be unique for each unique event in the system. On rare occasions you may receive a call to your webhook with a duplicate payload as a previous call. You can use this ID to verify that this is in fact a duplicate message you are receiving. These scenarios can occur for example if we publish to your endpoint and don't receive a timely response because of network issues. We will then republish the message in order to make sure you've received it._\n\n#### Test Event Type\nWhen the test webhook API is called, Quiq will post to your registered webhook with an event type of Test. It is expected that you will respond with a valid 200 or 204 response code.\n\n**Example Json:**\n```json\n{\n   \"eventType\":\"test\",\n   \"id\":\"245bc2f9-414e-4f49-a296-dc5e50d85292\",\n   \"data\":{}\n}\n```\n\n### In case of errors\nQuiq gracefully handles errors that occur while calling an external webhook. Such errors can occur because your hook returns a non 200 level HTTP response or a timeout occurs trying to call your hook. In either of these scenarios we will retry a few seconds later and continue retrying with an exponential back off. We will also send all of the site admins an email when an error first occurs and periodically after that. Once the errors quit occuring all events that were published while the error occurred will be passed to the webhook.\n\n### Developer tips\n* **Running/Debugging behind private firewall**: If you are running on a development box behind a firewall and don't have a way to route traffic from a public URL we suggest checking out [ngrok](https://ngrok.com) as a simple (and free) tool to route traffic in this scenario.\n* **Validating Webhook Payloads**: If you are validating webhook payloads in a way that could cause an error (and block the flow of additional payloads), below is some guidance for doing this in a way that will prevent unnecessary errors.\n   - **Allow for new fields.** Quiq's [API Versioning and Backwards Compatibility Policy](https://developers.quiq.com/api/docs#section/REST-APIs-Overview) allows for us to add new fields to the payload at any time. Make sure your validation is tolerant of this so that a new field will not break your webhook processing.\n   - **Allow for new enum values.** Quiq's [API Versioning and Backwards Compatibility Policy](https://developers.quiq.com/api/docs#section/REST-APIs-Overview) allows for us to add new values to enum fields at any time. Make sure your validation is tolerant of this so that a new enum value will not break your webhook processing.\n   - **Allow for optional fields.** All fields on the payload not marked as **Required** in Quiq's documentation should be considered as optional (meaning they could be omitted from the payload or be null). Even if a field seems like it will always be populated, there may be some valid situations that could cause it to be null. If you cannot take action on a payload without an optional field being populated, we recommend accepting the payload but taking no action on it so that future payloads can be delivered.\n\n### Sample Code\nWe have provided some sample code in different technologies so you can easily see how to integrate. If you are working in a technology we don't yet have a sample for we suggest you check out the [Python Sample](https://github.com/Quiq/webhook-integrations/tree/master/samples/python) as it is very straightfoward to understand and translate into your given techonology stack.\n\n* [Python Sample](https://github.com/Quiq/webhook-integrations/tree/master/samples/python) - Uses python and flask to host a self-contained microservice integration\n* [Java Sample](https://github.com/Quiq/webhook-integrations/tree/master/samples/java) - Uses java and the Dropwizard framework to host a self-contained microservice integration\n      ","version":null,"contact":null,"extensions":null,"license":null,"summary":null,"termsOfService":null},"components":{"schemas":{"GenerateTokenResponse":{"type":"object","properties":{"accessToken":{"type":"string","description":"A newly generated or renewed access token","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"tokenId":{"type":"string","description":"Unique identifier for this access token","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},"description":"A response to a generate request that contains the new or generated token","exampleSetFlag":false,"types":["object"]},"PublicUploadPrepareRequest":{"type":"object","properties":{"numUploads":{"maximum":10.0,"minimum":1,"type":"integer","description":"The number of Assets to be uploaded","format":"int32","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["integer"]}},"description":"Request object for preparing to create an Asset in Quiq","exampleSetFlag":false,"types":["object"]},"UploadDirectiveFormEntry":{"type":"object","properties":{"name":{"type":"string","description":"The form field name","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"value":{"type":"string","description":"The form field value","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},"description":"An upload directive form entry","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["object"]},"PublicUploadCallbackPayload":{"type":"object","properties":{"eventType":{"type":"string","description":"The type of the event","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"],"enum":["UploadPromotionCompleted"]},"data":{"description":"The generic data associated with the event","$ref":"#/components/schemas/PublicUploadCallbackPayload","nullable":false,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false},"id":{"type":"string","description":"The id of the event","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"timestamp":{"type":"number","description":"The millisecond timestamp that the event was created","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["number"]}},"description":"A public event","exampleSetFlag":false,"types":["object"]},"PreparedUpload":{"type":"object","properties":{"uploadId":{"maxLength":36,"minLength":36,"type":"string","description":"The Upload ID","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"directive":{"description":"The Upload directive","$ref":"#/components/schemas/UploadDirective","nullable":false,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false}},"description":"A prepared upload object","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["object"]},"UploadDirective":{"type":"object","properties":{"url":{"maxLength":2000,"type":"string","description":"The url to perform a multipart form post against","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"method":{"type":"string","description":"The http method to use when submitting your request","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"formEntries":{"type":"array","description":"Form entries to be included in your form post","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"items":{"$ref":"#/components/schemas/AssetUploadDirectiveFormEntry","exampleSetFlag":false},"types":["array"]},"headers":{"type":"array","description":"Headers to be included in your request","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"items":{"$ref":"#/components/schemas/AssetUploadDirectiveHeader","exampleSetFlag":false},"types":["array"]}},"description":"An object describing how a client should upload assets","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["object"]},"UploadDirectiveHeader":{"type":"object","properties":{"name":{"type":"string","description":"The header name","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"value":{"type":"string","description":"The header value","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},"description":"An upload directive header value","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["object"]},"PublicUploadPrepareResponse":{"type":"object","properties":{"uploads":{"type":"array","description":"The prepared uploads","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"items":{"$ref":"#/components/schemas/PreparedUpload","exampleSetFlag":false},"types":["array"]}},"description":"Response object for preparing to create an Asset in Quiq","exampleSetFlag":false,"types":["object"]},"PublicPromotedUpload":{"type":"object","properties":{"success":{"type":"boolean","description":"The status of the upload","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["boolean"]},"assetId":{"type":"string","description":"The id of the asset that has been uploaded","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"contentType":{"type":"string","description":"The type and detail of the file (e.g. image/jpeg)","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"callbackData":{"type":"string","description":"The optional object that will be included with the callback request","nullable":true,"readOnly":false,"extensions":{"x-quiq-skip-validation":true,"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"errorCode":{"type":"integer","description":"Error code indicating reason for failure during asset promotion\n\n|Error Code|Description|\n|-|-|\n|11001|An unknown error occurred|\n|11002|The upload was marked as infected|\n|11003|The upload's content type is not allowed|\n|11004|Unable to find upload|\n|11005|The upload's content length is zero|\n|10006|The upload's content length exceeds the limit|","format":"int32","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["integer"]}},"description":"Detailed information regarding an asset that has been promoted","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["object"]},"PublicUploadCallbackInformation":{"type":"object","properties":{"webhookId":{"maxLength":2000,"type":"string","description":"The webhookId that will be requested during callback procedure","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"callbackData":{"type":"string","description":"The optional object that will be included with the callback request","nullable":true,"readOnly":false,"extensions":{"x-quiq-skip-validation":true,"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},"description":"The information used when performing callback after upload processing","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["object"]},"PublicUploadPromote":{"type":"object","properties":{"callbackInfo":{"description":"The information used when performing callback after upload processing","$ref":"#/components/schemas/PublicUploadCallbackInformation","nullable":false,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false},"fileName":{"type":"string","description":"The optional name of the upload","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"uploadId":{"maxLength":36,"minLength":36,"type":"string","description":"The ID of the upload to be promoted into a Quiq Asset","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},"description":"Request object for promoting an upload into a Quiq Asset","exampleSetFlag":false,"types":["object"]},"StatusChangedPublicEvent":{"type":"object","properties":{"eventType":{"type":"string","description":"The type of the event","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"],"enum":["AgentStatusChanged"]},"data":{"description":"The generic data associated with the event","$ref":"#/components/schemas/AgentStatusChangePayload","nullable":false,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false},"id":{"type":"string","description":"The id of the event","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"timestamp":{"type":"number","description":"The millisecond timestamp that the event was created","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["number"]}},"description":"A public event","exampleSetFlag":false,"types":["object"]},"GetSubStatusesResponse":{"type":"object","properties":{"statuses":{"type":"object","properties":{"unavailable":{"type":"array","description":"sub statuses","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"items":{"$ref":"#/components/schemas/AgentSubStatusModel","exampleSetFlag":false},"types":["array"]},"available":{"type":"array","description":"sub statuses","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"items":{"$ref":"#/components/schemas/AgentSubStatusModel","exampleSetFlag":false},"types":["array"]},"available-for-existing":{"type":"array","description":"sub statuses","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"items":{"$ref":"#/components/schemas/AgentSubStatusModel","exampleSetFlag":false},"types":["array"]}},"additionalProperties":{"type":"array","description":"sub statuses","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"items":{"$ref":"#/components/schemas/AgentSubStatusModel","exampleSetFlag":false},"types":["array"]},"description":"Statuses","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["object"]}},"description":"Get sub statuses response","exampleSetFlag":false,"types":["object"]},"AgentSummary":{"type":"object","properties":{"available":{"type":"array","description":"The list of available agents","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"items":{"maxLength":254,"type":"string","description":"A user ID","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["string"]},"types":["array"]},"unavailable":{"type":"array","description":"The list of unavailable agents","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"items":{"maxLength":254,"type":"string","description":"A user ID","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["string"]},"types":["array"]},"availableForExisting":{"type":"array","description":"The list of available-for-existing agents","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"items":{"maxLength":254,"type":"string","description":"A user ID","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["string"]},"types":["array"]}},"description":"Agent status summary","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["object"]},"AgentAvailabilityCrossPlatformResults":{"type":"object","properties":{"results":{"type":"array","description":"Individual platform specific results","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"items":{"$ref":"#/components/schemas/AgentAvailabilityCrossPlatformResult","exampleSetFlag":false},"types":["array"]}},"description":"The result of the agent availability request","exampleSetFlag":false,"types":["object"]},"CreateSubStatusRequest":{"type":"object","properties":{"subStatus":{"description":"sub-status model","$ref":"#/components/schemas/AgentSubStatusModel","nullable":false,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false}},"description":"Creates a sub status","exampleSetFlag":false,"types":["object"]},"AgentAvailabilityCrossPlatformResult":{"type":"object","properties":{"contactPoint":{"description":"The contact point","$ref":"#/components/schemas/ContactPointReference","nullable":false,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false},"platform":{"type":"string","description":"The messaging platform","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"],"enum":["SMS","Facebook","Kik","Chat","Twitter","AppleMessages","GoogleRBM","GoogleMessages","WeChat","WhatsApp","Instagram","Voice"]},"available":{"type":"boolean","description":"Indicator of the agents availibility","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["boolean"]}},"description":"The result of the agent availability request","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["object"]},"AgentAvailabilityResult":{"type":"object","properties":{"available":{"type":"boolean","description":"Indicator of the agents availibility","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["boolean"]}},"description":"The result of the agent availability request","exampleSetFlag":false,"types":["object"]},"UpdateSubStatusRequest":{"type":"object","properties":{"subStatus":{"description":"sub-status model","$ref":"#/components/schemas/AgentSubStatusModel","nullable":false,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false}},"description":"updates a sub status","exampleSetFlag":false,"types":["object"]},"QueueWorkloadSummary":{"type":"object","properties":{"queue":{"maxLength":64,"type":"string","description":"The queue identity","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"agentsSummary":{"description":"Agents assigned to this queue by availability status","$ref":"#/components/schemas/AgentSummary","nullable":true,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false},"totalItems":{"minimum":0,"type":"integer","description":"Total items assigned to this queue","format":"int32","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["integer"]},"waitingItems":{"minimum":0,"type":"integer","description":"Total number of work items waiting in this queue","format":"int32","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["integer"]},"estimatedWaitTime":{"description":"Estimated wait time for this queue (if enabled and waitingItems > 0)","$ref":"#/components/schemas/DurationMillis","nullable":true,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false}},"description":"Workload summary for a queue","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["object"]},"QueueReference":{"maxLength":64,"type":"string","description":"Queue identifier","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["string"]},"AgentSessionMetricsPublicEvent":{"type":"object","properties":{"eventType":{"type":"string","description":"The type of the event","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"],"enum":["AgentSessionMetrics"]},"data":{"description":"The generic data associated with the event","$ref":"#/components/schemas/AgentSessionMetricsPayload","nullable":false,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false},"id":{"type":"string","description":"The id of the event","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"timestamp":{"type":"number","description":"The millisecond timestamp that the event was created","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["number"]}},"description":"A public event","exampleSetFlag":false,"types":["object"]},"AgentSubStatusModel":{"type":"object","properties":{"label":{"maxLength":255,"minLength":1,"type":"string","description":"The label","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},"description":"Sub status for agents","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["object"]},"WorkloadSummary":{"type":"object","properties":{"agentsSummary":{"description":"Agents by availability status","$ref":"#/components/schemas/AgentSummary","nullable":true,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false},"queueSummaries":{"type":"array","description":"Summary information for individual queues","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"items":{"$ref":"#/components/schemas/QueueWorkloadSummary","exampleSetFlag":false},"types":["array"]},"totalItems":{"minimum":0,"type":"integer","description":"Total items across all queues","format":"int32","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["integer"]},"waitingItems":{"minimum":0,"type":"integer","description":"Total number of waiting work items across all queues","format":"int32","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["integer"]},"longestWaitTime":{"type":"number","description":"The wait time of the work item that has been waiting the longest","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["number"]}},"description":"Workload summary","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["object"]},"AgentStatusChangePayload":{"type":"object","properties":{"userId":{"maxLength":254,"type":"string","description":"The ID of the user whose status has changed","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"statusBefore":{"type":"string","description":"The status of the user before undergoing a status change","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"],"enum":["unavailable","available","available-for-existing","offline"]},"statusAfter":{"type":"string","description":"The status of the user after undergoing a status change","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"],"enum":["unavailable","available","available-for-existing","offline"]},"subStatusIdBefore":{"type":"string","description":"The id of the sub-status of the user before undergoing a status change. This is optionally present.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"subStatusIdAfter":{"type":"string","description":"The id of the sub-status of the user after undergoing a status change. This is optionally present.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]}},"description":"The Webhook payload delivered upon an agent status change","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["object"]},"AgentWorkload":{"type":"object","properties":{"agent":{"maxLength":254,"type":"string","description":"The user ID","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"agentStatus":{"type":"string","description":"The agent's current status","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"],"enum":["unavailable","available","available-for-existing","offline"]},"queueWorkloadTotals":{"type":"array","description":"The agent's workload broken out by queue","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"items":{"$ref":"#/components/schemas/QueueWorkloadTotals","exampleSetFlag":false},"types":["array"]}},"description":"Agent workload summary","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["object"]},"AgentWorkloadPublicEvent":{"type":"object","properties":{"eventType":{"type":"string","description":"The type of the event","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"],"enum":["AgentWorkloadSummary"]},"data":{"description":"The generic data associated with the event","$ref":"#/components/schemas/AgentWorkloadSummary","nullable":false,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false},"id":{"type":"string","description":"The id of the event","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"timestamp":{"type":"number","description":"The millisecond timestamp that the event was created","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["number"]}},"description":"A public event","exampleSetFlag":false,"types":["object"]},"WorkloadSummaryPublicEvent":{"type":"object","properties":{"eventType":{"type":"string","description":"The type of the event","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"],"enum":["WorkloadSummary"]},"data":{"description":"The generic data associated with the event","$ref":"#/components/schemas/WorkloadSummary","nullable":false,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false},"id":{"type":"string","description":"The id of the event","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"timestamp":{"type":"number","description":"The millisecond timestamp that the event was created","nullable":false,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["number"]}},"description":"A public event","exampleSetFlag":false,"types":["object"]},"QueueInfoResult":{"type":"object","properties":{"estimatedWaitTime":{"minimum":0,"type":"integer","description":"The estimated wait time (in seconds) for new entries in this queue. Will be zero when there is no expected wait. Will be null if the wait is indefinite.","format":"int32","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["integer"]}},"description":"The result of the queue info request","exampleSetFlag":false,"types":["object"]},"DurationMillis":{"type":"number","description":"A duration of time in milliseconds","extensions":{"x-quiq-type-meta":{}},"exampleSetFlag":false,"types":["number"]},"AgentSessionMetricsPayload":{"type":"object","properties":{"userId":{"maxLength":254,"type":"string","description":"The ID of the user who has gone offline.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["string"]},"loginTime":{"type":"number","description":"The login timestamp of the user in UTC.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["number"]},"logoutTime":{"type":"number","description":"The logout timestamp of the user in UTC.","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["number"]},"averageInitialResponseTime":{"description":"The average duration (in milliseconds) it took for the first agent response measured from the time the conversation was assigned to the agent to the first message sent by the agent.","$ref":"#/components/schemas/DurationMillis","nullable":true,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false},"averageResponseTime":{"description":"The average duration (in milliseconds) it took for the agent to respond to customer messages. In the event of multiple contiguous customer messages, we measure from the oldest message.","$ref":"#/components/schemas/DurationMillis","nullable":true,"readOnly":false,"extensions":{"x-quiq-property-meta":{}},"exampleSetFlag":false},"numberOfConversationsAccepted":{"minimum":0,"type":"integer","description":"The number of conversations the agent accepted.","format":"int32","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["integer"]},"numberOfConversationsDeclined":{"minimum":0,"type":"integer","description":"The number of conversations the agent declined either explicitly or implicitly through accepting then requeueing, rejecting or missing an invitation, or failing to respond in time and the system automatically requeueing. If you wish to only count the number of times an agent clicked decline, see the numberOfConversationsRejected field.","format":"int32","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["integer"]},"numberOfConversationsRejected":{"minimum":0,"type":"integer","description":"The number of conversations the agent explicitly rejected during an invitation.","format":"int32","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["integer"]},"numberOfConversationsMissed":{"minimum":0,"type":"integer","description":"The number of conversations offered to the agent that they did not accept or decline in time.","format":"int32","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["integer"]},"numberOfConversationsOffered":{"minimum":0,"type":"integer","description":"The number of conversations the agent was offered.","format":"int32","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["integer"]},"numberOfConversationsMarkedAsSpam":{"minimum":0,"type":"integer","description":"The number of conversations the agent marked as spam.","format":"int32","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["integer"]},"numberOfConversationsRequeued":{"minimum":0,"type":"integer","description":"The number of conversations the agent requeued and did not remain as the owner.","format":"int32","nullable":true,"readOnly":false,"extensions":{"x-quiq-type-meta":{},"x-quiq-property-meta":{}},"exampleSetFlag":false,"types":["integer"]},"numberOfConversationsClosed":{"minimum":0,"type":"integer","description":"The number of conversations the agent closed duri
[...]
